petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESSetSolution

Sets the solution vector for use by the SNES routines.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetSolution(SNES snes, Vec u)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context obtained from SNESCreate()
| u | - the solution vector

### Level

beginner

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages